Index: contrib/crossrpms/freebsd6.4/i586/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd6.4/i586/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd6.4/i586/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/freebsd7.3/i586/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd7.3/i586/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd7.3/i586/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/freebsd8.1/i586/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd8.1/i586/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd8.1/i586/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/freebsd8.1/x86_64/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd8.1/x86_64/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd8.1/x86_64/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/freebsd8.2/i586/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd8.2/i586/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd8.2/i586/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/freebsd8.2/x86_64/gcc-sources.add
===================================================================
--- contrib/crossrpms/freebsd8.2/x86_64/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/freebsd8.2/x86_64/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -1,9 +1,16 @@
 Source0: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-core-%{gcc_pkgvers}.tar.bz2
-@PATCH0@
+%if "%{gcc_version}" == "4.5.0"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
+%endif
 %{?_without_sources:NoSource:	0}
 
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/netbsd5.0.2/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/netbsd5.0.2/i386/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/netbsd5.0.2/i386/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -2,4 +2,7 @@
 %if "%{gcc_version}" == "4.5.0"
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -7,5 +10,7 @@
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/netbsd5.0.2/x86_64/gcc-sources.add
===================================================================
--- contrib/crossrpms/netbsd5.0.2/x86_64/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/netbsd5.0.2/x86_64/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -2,4 +2,7 @@
 %if "%{gcc_version}" == "4.5.0"
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -7,5 +10,7 @@
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/netbsd5.1/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/netbsd5.1/i386/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/netbsd5.1/i386/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -2,4 +2,7 @@
 %if "%{gcc_version}" == "4.5.0"
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -7,5 +10,7 @@
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
Index: contrib/crossrpms/netbsd5.1/x86_64/gcc-sources.add
===================================================================
--- contrib/crossrpms/netbsd5.1/x86_64/gcc-sources.add	(revision f61b2f814be57656c5dac7f30699ae9ee983bdcf)
+++ contrib/crossrpms/netbsd5.1/x86_64/gcc-sources.add	(revision 4e11577087441a936c801b3622cefcc7158fd26c)
@@ -2,4 +2,7 @@
 %if "%{gcc_version}" == "4.5.0"
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.0-rtems4.11-20100609.diff
+%endif
+%if "%{gcc_version}" == "4.5.2"
+Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.5.2-rtems4.11-20110220.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -7,5 +10,7 @@
 %if %build_cxx
 Source1: 	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-g++-%{gcc_pkgvers}.tar.bz2
-@PATCH1@
+%if "%{gcc_version}" == "4.5.2" 
+Patch1:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-g++-4.5.2-rtems4.11-20110131.diff
+%endif
 %{?_without_sources:NoSource:	1}
 
